description

# Notification class Null safety

Inheritance
  - Object
  - EventTarget
  - Notification
Annotations
  - @Native("Notification")

## Constructors

Notification(String title, {String? dir, String? body, String? lang, String? tag, String? icon})
  factory

## Properties

actions → List?
  read-only
badge → String?
  read-only
body → String?
  read-only
data → Object?
  @annotation_Creates_SerializedScriptValue, @annotation_Returns_SerializedScriptValue, read-only
dir → String?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
icon → String?
  read-only
image → String?
  read-only
lang → String?
  read-only
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
onClick → Stream<Event>
  Stream of `click` events handled by this Notification.
  read-only
onClose → Stream<Event>
  Stream of `close` events handled by this Notification.
  read-only
onError → Stream<Event>
  Stream of `error` events handled by this Notification.
  read-only
onShow → Stream<Event>
  Stream of `show` events handled by this Notification.
  read-only
renotify → bool?
  read-only
requireInteraction → bool?
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
silent → bool?
  read-only
tag → String?
  read-only
timestamp → int?
  read-only
title → String?
  read-only
vibrate → List<int>?
  read-only

## Methods

addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
close() → void
dispatchEvent(Event event) → bool
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Properties

maxActions → int?
  read-only
permission → String?
  read-only
supported → bool
  Checks if this type is supported on the current platform.
  read-only

## Static Methods

requestPermission() → Future<String>
  @JSName('requestPermission')

## Constants

clickEvent → const EventStreamProvider<Event>
  Static factory designed to expose `click` events to event handlers that are not necessarily instances of Notification. [...]
  `const EventStreamProvider<Event>('click')`
closeEvent → const EventStreamProvider<Event>
  Static factory designed to expose `close` events to event handlers that are not necessarily instances of Notification. [...]
  `const EventStreamProvider<Event>('close')`
errorEvent → const EventStreamProvider<Event>
  Static factory designed to expose `error` events to event handlers that are not necessarily instances of Notification. [...]
  `const EventStreamProvider<Event>('error')`
showEvent → const EventStreamProvider<Event>
  Static factory designed to expose `show` events to event handlers that are not necessarily instances of Notification. [...]
  `const EventStreamProvider<Event>('show')`